dbm support

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Threaded View
i have a windows setup where i am trying to use the extension that  
enables db4 handlers for dbm. my php version is 4.4.6.
in my extensions directory i have a couple of dlls (php_db.dll and  
php_dba.dll) but i don't have php_dbm.dll.

how do i go about enabling db4 handling support through dba extension  
for my  version of php.

thanks in advance

Re: dbm support

Quoted text here. Click to load it

I assume here you are using the DBM-style abstraction layer functions,
not the old DBM functions which are deprecated (yet available for your
version of PHP).

In order to use DB4, you should compile PHP with the option --with-
db4. For DBM, the option is --with-dbm. You must already be compiling
it with --enable-dba anyway, which is required.

Note that there are known problems when compiling with both DB4 and
either DB2 or DB3.


-Mike PII

Site Timeline